allow-lan: true
port: 7890
mode: rule
unified-delay: true
ipv6: false
dns:
    enable: true
    ipv6: false
    default-nameserver:
      - 223.5.5.5
      - 119.29.29.29
    nameserver-policy:
      "geosite:private,cn":
        - https://1.12.12.12/dns-query
        - https://120.53.53.53/dns-query
        - https://223.5.5.5/dns-query
        - https://doh.pub/dns-query
        - https://dns.alidns.com/dns-query
      "rule-set:steamcn,games,dir":
        - https://1.12.12.12/dns-query
        - https://120.53.53.53/dns-query
        - https://223.5.5.5/dns-query
        - https://doh.pub/dns-query
        - https://dns.alidns.com/dns-query
    nameserver:
      - https://1.1.1.1/dns-query
      - https://cloudflare-dns.com/dns-query
      - https://8.8.8.8/dns-query
      - https://dns.google/dns-query
      - one.one.one.one
      - dns.google

# 🇺🇸 🇭🇰
proxies:
    - {name: 🇺🇸 LS, server: zsui.wampee.de, port: 8443, reality-opts: {public-key: i3qxSXUeYASHiH0k8CZ3VIGUyLJLlkKHs0yqfTdlMm0, short-id: 05b56b}, client-fingerprint: chrome, type: vless, uuid: 5f1d79ef-a6f2-4000-cdc8-f279e87581d6, tls: true, tfo: false, servername: aju.edu, flow: xtls-rprx-vision, skip-cert-verify: true, udp: true}
 
proxy-groups:
  - name: PROXY
    type: select
    proxies:
      - 🇺🇸 LS

rule-providers:
    ai:
        behavior: classical
        interval: 86400
        path: ./ruleset/ai.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/ai.yaml
    dir:
        behavior: classical
        interval: 86400
        path: ./ruleset/dir.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/dir.yaml
        
    pro:
        behavior: classical
        interval: 86400
        path: ./ruleset/pro.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/refs/heads/main/pro.yaml

    games:
        behavior: classical
        interval: 86400
        path: ./ruleset/games.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/games.yaml
    google:
        behavior: domain
        interval: 86400
        path: ./ruleset/google.yaml
        type: http
        url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Google/Google.yaml
    googleseries:
        behavior: classical
        interval: 86400
        path: ./ruleset/googleseries.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/googleseries
    microsoft:
        behavior: classical
        interval: 86400
        path: ./ruleset/microsoft.yaml
        type: http
        url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Microsoft/Microsoft.yaml
    steamcn:
        behavior: classical
        interval: 86400
        path: ./ruleset/steamcn.yaml
        type: http
        url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/SteamCN/SteamCN.yaml
    telegramcidr:
        behavior: ipcidr
        interval: 86400
        path: ./ruleset/telegramcidr.yaml
        type: http
        url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/telegramcidr.txt"
    wifi-calling:
        behavior: classical
        interval: 86400
        path: ./ruleset/wifi-calling.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/wifi-calling.yaml
rules:
    - DOMAIN-SUFFIX,store.steampowered.com,PROXY
    - DOMAIN-SUFFIX,steamcommunity.com,PROXY
    - DOMAIN,clash.razord.top,DIRECT
    - DOMAIN,yacd.haishan.me,DIRECT
    - RULE-SET,wifi-calling,PROXY
    - RULE-SET,pro,PROXY
    - RULE-SET,googleseries,PROXY
    - RULE-SET,ai,PROXY
    - RULE-SET,steamcn,DIRECT
    - RULE-SET,games,DIRECT
    - RULE-SET,microsoft,PROXY
    - RULE-SET,telegramcidr,PROXY
    - RULE-SET,dir,DIRECT
    - RULE-SET,google,PROXY
    - GEOSITE,CN,DIRECT
    - GEOIP,CN,DIRECT
    - GEOIP,LAN,DIRECT
    - MATCH,PROXY
